See the top rated post in this thread. Click here

Results 1 to 3 of 3

Thread: Convert point UCS to WCS

  1. #1
    100 Club
    Join Date
    2011-08
    Location
    Vadodara, India
    Posts
    147
    Login to Give a bone
    0

    Default Convert point UCS to WCS

    Hi!

    I want to convert coordinates from 0,0,0 UCS to WCS.

    Dim Inblock(2) As Double
    Inblock(0) = 0 : Inblock(1) = 0 : Inblock(2) = 0

    Is this possible.

    Avinash

  2. #2
    Administrator BlackBox's Avatar
    Join Date
    2009-11
    Posts
    5,713
    Login to Give a bone
    1

    Default Re: Convert point UCS to WCS

    All geometry is stored to the drawing in WCS.

    Any new Point2d/Point3d will be expressed in WCS coordinates, whereas Editor.GetPoint() always returns UCS, unless you transform each into UCS or WCS respectively:

    https://spiderinnet1.typepad.com/blo...cs-to-wcs.html

    Code:
    Editor ed = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor;
     
    PromptPointResult ppr = ed.GetPoint("\nSpecify base point: ");
    if (ppr.Status != PromptStatus.OK)
        return;
     
    Point3d curPt = ppr.Value.TransformBy(ed.CurrentUserCoordinateSystem);
    Last edited by BlackBox; 2021-05-13 at 08:25 PM.
    "How we think determines what we do, and what we do determines what we get."

    Sincpac C3D ~ Autodesk Exchange Apps

    Computer Specs:
    Dell Precision 3660, Core i9-12900K 5.2GHz, 64GB DDR5 RAM, PCIe 4.0 M.2 SSD (RAID 0), 16GB NVIDIA RTX A4000

  3. #3
    100 Club
    Join Date
    2011-08
    Location
    Vadodara, India
    Posts
    147
    Login to Give a bone
    0

    Default Re: Convert point UCS to WCS

    Hi!
    I am developing Standalone application in vb.net. I have a two type of points 1) coordinates 2) polar points like...

    Dim AngPnt(2) As Double
    AngPnt(0) = 18.5 : AngPnt(1) = 106 : AngPnt(2) = 0

    and
    Dim Pt1 as object
    Pt1 = AcadDoc.Utility.PolarPoint(Pt6, West, LastDist)

    like that I want to change as per autocad current ucs point. how to do?

    Avinash

Similar Threads

  1. Point Creation in UCS other than WCS and correct coordinate listing
    By SurveyorHead in forum AutoCAD Civil 3D - General
    Replies: 2
    Last Post: 2011-11-10, 01:23 AM
  2. WCS and UCS issues
    By andrew.129070 in forum CAD Management - General
    Replies: 2
    Last Post: 2009-03-14, 03:58 AM
  3. Reference Manager to Alert based on WCS / UCS
    By autocad.wishlist1734 in forum AutoCAD Wish List
    Replies: 0
    Last Post: 2007-05-25, 03:33 PM
  4. WCS - UCS problem inserting a 3D-BLOCK
    By office.81897 in forum AutoCAD 3D (2006 or below)
    Replies: 4
    Last Post: 2005-02-16, 05:27 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •